/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef data_log_H
#define data_log_H
#include <stdio.h>		/* standard i/o definitions */
#include <stdlib.h>		/* standard lib */
#include <math.h>		/* mathematical functions */
#include <strings.h>		/* string function definitions */
#include <errno.h>		/* error number definition */
#include <unistd.h>		/* UNIX standard functions */
#include <sys/time.h>		/* time manipulation functions */
#include "initializations.h"

#ifdef SQL_LIBS
//#include <mysql.h>		/* MySQL support */
#include "/usr/include/mysql/mysql.h"
#endif

extern int syslog_flag;
#ifdef SQL_LIBS
extern char sql_query_into[],sql_query_values[],sql_query[];

int sql_query_log(struct probe_descriptor probe[],struct configuration_struct *settings,char iso_time[]);
#endif
int screen_log(struct probe_descriptor probe[],struct configuration_struct *settings,char iso_time[]);
int file_log(struct probe_descriptor probe[],struct configuration_struct *settings,char iso_time[]);
int data_log(struct probe_descriptor probe[],struct configuration_struct *settings);
void error_log(char error_string[]);
#endif
